\documentclass[a5paper]{book}
\usepackage{geometry}

\usepackage{fontspec}
\setmainfont[Language=Welsh]{Gentium}
%\newcommand{\C}[1]{{\fontspec[Language=Welsh, HyphenChar=None]{Gentium Basic}{#1}}}

\newcommand{\markpage}[1]{{\tiny\ (#1)}}
\newcommand{\sic}[1]{}
\newcommand{\nosic}[1]{}

%\setlength\parskip{\bigskipamount}
%\setlength\parindent{0pt}

\begin{document}
\chapter{Gofid}
\input{1-Gofid/Text.tex}

\chapter{Y Pistyll}
\input{2-Y_Pistyll/Text.tex}

\chapter{Marwolaeth Stori}
\input{3-Marwolaeth_Stori/Text.tex}

\chapter{Te yn y Grug}
\input{4-Te_yn_y_Grug/Text.tex}

\chapter{Ymwelydd i De}
\input{5-Ymwelydd_i_De/Text.tex}

\chapter{Dianc i Lundain}
\input{6-Dianc_i_Lundain/Text.tex}

\chapter{Dieithrio}
\input{7-Dieithrio/Text.tex}

\chapter{Nadolig y Cerdyn}
\input{8-Nadolig_y_Cerdyn/Text.tex}
\end{document}

